Var
 ainp      : string;
 iinp,divs : longint;
 k,i       : byte;

Function ToDem(inp : string) : longint;
var
 ret  : longint;
 i,j  : byte;
 incs : longint;
 num  : byte;
begin
 ret:=0;
 for i := 1 to length(inp) do
  begin
   incs := 1;
   for j := length(inp)-1 downto i do incs := incs * k;
   if ord(inp[i]) > ord('A') then num := ord(inp[i]) - ord('A')+10
   else num := ord(inp[i])-$30;
   inc(ret,num*incs);
  end;
  todem := ret;
end;

begin
  Write('Введите систему исчисления вводимого числа (k): ');
  ReadLn(k);
  Write('Введите число в k-ичной системе: ');
  ReadLn(ainp);
  Write('Введите делитель в 10-чной системе: ');
  ReadLn(divs);
  for i := 1 to Length(ainp) do
  ainp[i] := UpCase(ainp[i]);
  iinp := toDem(ainp);
  if iinp mod divs = 0 then WriteLN('Делится') else WriteLn('Не Делится');
  readln;
end.